/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
export { DialogComponent } from './dialog/dialog.component';
export { DialogTitleBarComponent } from './dialog/dialog-titlebar.component';
export { DialogContentBase } from './dialog/dialog-content-base';
export { DialogActionsComponent } from './dialog/dialog-actions.component';
export { DialogService } from './dialog/dialog.service';
export { DialogContainerService } from './dialog/dialog-container.service';
export { DialogCloseResult, DialogRef, DialogSettings, DialogAction, DialogResult, DialogAnimation, DialogThemeColor, DialogActionDivider } from './dialog/models/';
export { ActionsLayout } from './common/actions-layout';
export { DialogAnimationType } from './common/animation-types';
export { AnimationDirection } from './common/dialog-animation-direction';
export { WindowComponent } from './window/window.component';
export { WindowTitleBarComponent } from './window/window-titlebar.component';
export { WindowMaximizeActionDirective } from './window/actions/window-maximize-action.directive';
export { WindowMinimizeActionDirective } from './window/actions/window-minimize-action.directive';
export { WindowCloseActionDirective } from './window/actions/window-close-action.directive';
export { WindowRestoreActionDirective } from './window/actions/window-restore-action.directive';
export { WindowState, WindowSettings, WindowDimensionSetting, WindowRef, WindowCloseResult, WindowThemeColor } from './window/models';
export { WindowService } from './window/window.service';
export { WindowContainerService } from './window/window-container.service';
export { DragResizeService } from './window/drag-resize.service';
export { NavigationService } from './window/navigation.service';
export { DialogModule } from './dialog.module';
export { WindowModule } from './window.module';
export { DialogsModule } from './dialogs.module';
export { DialogContainerDirective } from './dialog/dialog-container.directive';
export { Messages } from './localization/messages';
export { LocalizedMessagesDirective } from './localization/localized-messages.directive';
export { CustomMessagesComponent } from './localization/custom-messages.component';
export { WindowContainerDirective } from './window/window-container.directive';
export { PreventableEvent } from './common/preventable-event';
export * from './directives';
